Skip to main content
POST
/
integrations
/
telegram
/
groups
Register a Telegram group
curl --request POST \
  --url https://app.harmonica.chat/api/v1/integrations/telegram/groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "group_id": "<string>",
  "group_name": "<string>",
  "topic_id": 123
}
'
{
  "group_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "group_name": "<string>",
  "topic_id": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your key as a Bearer token. Keys use the format hm_live_<32 hex chars>. Generate keys from your Harmonica dashboard settings.

Body

application/json
group_id
string
required

Telegram chat ID

group_name
string

Telegram group title

topic_id
integer

Forum topic ID (if group has topics enabled)

Response

Group registered (or updated)

A Telegram group registered to the user's account.

group_id
string
required

Telegram chat ID

created_at
string<date-time>
required
group_name
string | null

Telegram group title

topic_id
integer | null

Forum topic ID for bot announcements